Bug 256897 - crash upon unmounting of USB drive
Summary: crash upon unmounting of USB drive
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Media (show other bugs)
Version: 1.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-14 16:36 UTC by mm.ch
Modified: 2017-07-26 05:28 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.7.0


Attachments
New crash information added by DrKonqi (22.28 KB, text/plain)
2010-12-07 03:29 UTC, Matthieu Pupat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mm.ch 2010-11-14 16:36:55 UTC
Application: digikam (1.4.0)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-23-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:

unmounted USB drive in nautilus after copying images to digikam.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f01a551e7c0 (LWP 8647))]

Thread 15 (Thread 0x7f019107b710 (LWP 8648)):
#0  0x00007f019cd70203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0199bfb009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f0199bfb7b5 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3  0x00007f01917b20f4 in ?? () from /usr/lib/libgio-2.0.so.0
#4  0x00007f0199c207e4 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f0180621710 (LWP 8649)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f019e534e3b in wait (this=<value optimized out>, mutex=0x19206f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19206f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000006ee97b in Digikam::ScanController::run (this=0x1922bb0) at /build/buildd/digikam-1.4.0/digikam/scancontroller.cpp:515
#4  0x00007f019e53427e in QThreadPrivate::start (arg=0x1922bb0) at thread/qthread_unix.cpp:266
#5  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f017fe20710 (LWP 8651)):
#0  postEventSourcePrepare (s=0x1a9c9a0, timeout=0x0) at kernel/qeventdispatcher_glib.cpp:253
#1  0x00007f0199bfa66a in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x00007f0199bfb023 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f0199bfb45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f019e6541e6 in QEventDispatcherGlib::processEvents (this=0x1a9bfd0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f019e626a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f019e626dec in QEventLoop::exec (this=0x7f017fe1fd90, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f019e5312fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f019e53427e in QThreadPrivate::start (arg=0x1a99ff0) at thread/qthread_unix.cpp:266
#9  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f017f2e8710 (LWP 8652)):
#0  0xffffffffff60014c in ?? ()
#1  0x00007f017f2e7a70 in ?? ()
#2  0x00007fffd6fb6852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 11 (Thread 0x7f017ea66710 (LWP 8653)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f019e534e3b in wait (this=<value optimized out>, mutex=0x1a9e8d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1a9e8d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f01a254e5e4 in Digikam::ParkingThread::run (this=0x1a9e8c0) at /build/buildd/digikam-1.4.0/libs/threads/threadmanager.cpp:101
#4  0x00007f019e53427e in QThreadPrivate::start (arg=0x1a9e8c0) at thread/qthread_unix.cpp:266
#5  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f017e265710 (LWP 8654)):
#0  0x00007f019e2acc9d in __pthread_mutex_unlock_usercnt (mutex=0x1adcae8) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x1adcae8) at pthread_mutex_unlock.c:290
#2  0x00007f0199bfb10a in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f0199bfb45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f019e6541e6 in QEventDispatcherGlib::processEvents (this=0x1adc9f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f019e626a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f019e626dec in QEventLoop::exec (this=0x7f017e264d90, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f019e5312fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f019e53427e in QThreadPrivate::start (arg=0x1ad9990) at thread/qthread_unix.cpp:266
#9  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f017da64710 (LWP 8655)):
#0  0x00007f019cd70203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0199bfb009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f0199bfb45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f019e6541e6 in QEventDispatcherGlib::processEvents (this=0x1add0d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f019e626a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f019e626dec in QEventLoop::exec (this=0x7f017da63d90, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f019e5312fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f019e53427e in QThreadPrivate::start (arg=0x1adc680) at thread/qthread_unix.cpp:266
#8  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f01716a9710 (LWP 8656)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007f017a9e30d1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0170470710 (LWP 8657)):
#0  0x00007f019cd752e3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f017aa0c385 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f017a9f0d09 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f016fc6f710 (LWP 8658)):
#0  0x00007f019cd70203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0199bfb009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f0199bfb45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f019e6541e6 in QEventDispatcherGlib::processEvents (this=0x2042c70, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f019e626a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f019e626dec in QEventLoop::exec (this=0x7f016fc6ed30, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f019e5312fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f017ac3f2b0 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f019e53427e in QThreadPrivate::start (arg=0x2042630) at thread/qthread_unix.cpp:266
#9  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f016f269710 (LWP 8659)):
#0  0x00007f019cd70203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f019ca8140f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f019ca70d76 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f019ca727f9 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f019ca728b0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f019ca8120b in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f019481afb8 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#7  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#8  0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f016aa67710 (LWP 8660)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f017a9f3e83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f016a266710 (LWP 8661)):
#0  0x00007f019e2ab665 in __pthread_mutex_lock (mutex=0x7f018c16fcc8) at pthread_mutex_lock.c:61
#1  0x00007f0199bfafc6 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f0199bfb45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f019e6541e6 in QEventDispatcherGlib::processEvents (this=0x7f018c00df00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f019e626a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f019e626dec in QEventLoop::exec (this=0x7f016a265d50, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f019e5312fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f019e6065f8 in QInotifyFileSystemWatcherEngine::run (this=0x21228a0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f019e53427e in QThreadPrivate::start (arg=0x21228a0) at thread/qthread_unix.cpp:266
#9  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f0167993710 (LWP 8668)):
#0  0x00007f019cd70203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0199bfb009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f0199bfb45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f019e6541e6 in QEventDispatcherGlib::processEvents (this=0x336aed0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f019e626a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f019e626dec in QEventLoop::exec (this=0x7f0167992d50, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f019e5312fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f019e6065f8 in QInotifyFileSystemWatcherEngine::run (this=0x336a090) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f019e53427e in QThreadPrivate::start (arg=0x336a090) at thread/qthread_unix.cpp:266
#9  0x00007f019e2a9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f019cd7c94d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f01a551e7c0 (LWP 8647)):
[KCrash Handler]
#6  Digikam::Album::next (this=0x0) at /build/buildd/digikam-1.4.0/digikam/album.cpp:90
#7  0x000000000061fbd1 in findIndexAsChild (this=0x19565e0, album=0x27ca690) at /build/buildd/digikam-1.4.0/libs/models/abstractalbummodelpriv.h:84
#8  Digikam::AbstractAlbumModel::slotAlbumAboutToBeDeleted (this=0x19565e0, album=0x27ca690) at /build/buildd/digikam-1.4.0/libs/models/abstractalbummodel.cpp:406
#9  0x000000000061fd4c in Digikam::AbstractAlbumModel::qt_metacall (this=0x19565e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd6e04c60) at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/abstractalbummodel.moc:91
#10 0x000000000061fdb0 in Digikam::AbstractSpecificAlbumModel::qt_metacall (this=0x0, _c=41723536, _id=26849632, _a=0x7fffd6e04c60) at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/abstractalbummodel.moc:161
#11 0x000000000061fe35 in Digikam::AbstractCountingAlbumModel::qt_metacall (this=0x0, _c=41723536, _id=26849632, _a=0x7fffd6e04c60) at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/abstractalbummodel.moc:234
#12 0x000000000061ff50 in Digikam::AbstractCheckableAlbumModel::qt_metacall (this=0x0, _c=41723536, _id=26849632, _a=0x7fffd6e04c60) at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/abstractalbummodel.moc:303
#13 0x00007f019e63fb27 in QMetaObject::activate (sender=0x1920bd0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd6e04c60) at kernel/qobject.cpp:3280
#14 0x0000000000636710 in Digikam::AlbumManager::signalAlbumAboutToBeDeleted (this=0x0, _t1=0x27ca690) at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/albummanager.moc:224
#15 0x000000000063bf87 in Digikam::AlbumManager::removePAlbum (this=0x1920bd0, album=0x27ca690) at /build/buildd/digikam-1.4.0/digikam/albummanager.cpp:2527
#16 0x000000000063c22a in Digikam::AlbumManager::removeAlbumRoot (this=0x1920bd0, location=<value optimized out>) at /build/buildd/digikam-1.4.0/digikam/albummanager.cpp:1154
#17 0x0000000000645cd8 in Digikam::AlbumManager::slotCollectionLocationStatusChanged (this=0x1920bd0, location=..., oldStatus=1) at /build/buildd/digikam-1.4.0/digikam/albummanager.cpp:1109
#18 0x0000000000647d75 in Digikam::AlbumManager::qt_metacall (this=0x1920bd0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd6e04e60) at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/albummanager.moc:185
#19 0x00007f019e63fb27 in QMetaObject::activate (sender=0x1911f60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd6e04c60) at kernel/qobject.cpp:3280
#20 0x00007f01a1fbd053 in Digikam::CollectionManager::locationStatusChanged (this=0x0, _t1=<value optimized out>, _t2=1) at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/collectionmanager.moc:108
#21 0x00007f01a1fc3630 in Digikam::CollectionManager::updateLocations (this=<value optimized out>) at /build/buildd/digikam-1.4.0/libs/database/collectionmanager.cpp:1312
#22 0x00007f01a1fc49a1 in Digikam::CollectionManager::qt_metacall (this=0x1911f60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd6e052d0) at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/collectionmanager.moc:94
#23 0x00007f019e63fb27 in QMetaObject::activate (sender=0x6a58c30, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd6e04c60) at kernel/qobject.cpp:3280
#24 0x00007f01a3e854c4 in Solid::StorageAccess::accessibilityChanged (this=0x0, _t1=false, _t2=<value optimized out>) at ./storageaccess.moc:127
#25 0x00007f01a3e8583d in Solid::StorageAccess::qt_metacall (this=0x6a58c30, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd6e05450) at ./storageaccess.moc:87
#26 0x00007f019e63fb27 in QMetaObject::activate (sender=0x6c9f380, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd6e04c60) at kernel/qobject.cpp:3280
#27 0x00007f01a3ec6e44 in Solid::Backends::Hal::StorageAccess::accessibilityChanged (this=0x0, _t1=false, _t2=<value optimized out>) at ./backends/hal/halstorageaccess.moc:140
#28 0x00007f01a3ec7f0e in Solid::Backends::Hal::StorageAccess::slotPropertyChanged (this=0x6c9f380, changes=...) at ../../../solid/solid/backends/hal/halstorageaccess.cpp:168
#29 0x00007f01a3ecbe58 in Solid::Backends::Hal::StorageAccess::qt_metacall (this=0x6c9f380, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd6e05670) at ./backends/hal/halstorageaccess.moc:119
#30 0x00007f019e63fb27 in QMetaObject::activate (sender=0x68c3460, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd6e04c60) at kernel/qobject.cpp:3280
#31 0x00007f01a3eb5462 in Solid::Backends::Hal::HalDevice::propertyChanged (this=0x0, _t1=<value optimized out>) at ./backends/hal/haldevice.moc:99
#32 0x00007f01a3eb5e67 in Solid::Backends::Hal::HalDevice::slotPropertyModified (this=0x68c3460, changes=<value optimized out>) at ../../../solid/solid/backends/hal/haldevice.cpp:544
#33 0x00007f01a3eb609e in Solid::Backends::Hal::HalDevice::qt_metacall (this=0x68c3460, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd6e05a60) at ./backends/hal/haldevice.moc:86
#34 0x00007f019e04a0ee in QDBusConnectionPrivate::deliverCall (this=<value optimized out>, object=<value optimized out>, msg=<value optimized out>, metaTypes=..., slotIdx=<value optimized out>) at qdbusintegrator.cpp:919
#35 0x00007f019e0550ef in QDBusCallDeliveryEvent::placeMetaCall (this=0x0, object=0x27ca690) at qdbusintegrator_p.h:103
#36 0x00007f019e639bde in QObject::event (this=0x68c3460, e=0x0) at kernel/qobject.cpp:1219
#37 0x00007f019f238fdc in QApplicationPrivate::notify_helper (this=0x1663740, receiver=0x68c3460, e=0x6203850) at kernel/qapplication.cpp:4396
#38 0x00007f019f23eaed in QApplication::notify (this=0x7fffd6e06630, receiver=0x68c3460, e=0x6203850) at kernel/qapplication.cpp:4277
#39 0x00007f019ff8b156 in KApplication::notify (this=0x7fffd6e06630, receiver=0x68c3460, event=0x6203850) at ../../kdeui/kernel/kapplication.cpp:310
#40 0x00007f019e627cdc in QCoreApplication::notifyInternal (this=0x7fffd6e06630, receiver=0x68c3460, event=0x6203850) at kernel/qcoreapplication.cpp:732
#41 0x00007f019e62ac22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x1624b90) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#42 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x1624b90) at kernel/qcoreapplication.cpp:1373
#43 0x00007f019e654653 in sendPostedEvents (s=0x1666160) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#44 postEventSourceDispatch (s=0x1666160) at kernel/qeventdispatcher_glib.cpp:277
#45 0x00007f0199bf7342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#46 0x00007f0199bfb2a8 in ?? () from /lib/libglib-2.0.so.0
#47 0x00007f0199bfb45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#48 0x00007f019e654193 in QEventDispatcherGlib::processEvents (this=0x1624280, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#49 0x00007f019f2eba4e in QGuiEventDispatcherGlib::processEvents (this=0x0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#50 0x00007f019e626a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#51 0x00007f019e626dec in QEventLoop::exec (this=0x7fffd6e064a0, flags=) at kernel/qeventloop.cpp:201
#52 0x00007f019e62aebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#53 0x000000000077cc1d in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.4.0/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 caulier.gilles 2010-11-14 21:45:01 UTC
I think this bug is fixed since a long time. Last digiKam stable is 1.5.0. Please update and try again

Gilles Caulier
Comment 2 caulier.gilles 2010-11-24 09:14:01 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 3 Matthieu Pupat 2010-12-07 03:29:49 UTC
Created attachment 54230 [details]
New crash information added by DrKonqi

digikam (1.5.0) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.1

- What I was doing when the application crashed: removed SD card from SD reader


Adding a few character so that the reporting assistant does not complain

-- Backtrace (Reduced):
#6  Digikam::Album::next (this=0x0) at /usr/src/debug/digikam-1.5.0/digikam/album.cpp:90
#7  0x00000000005f7b08 in findIndexAsChild (this=0x113e090, album=0x33a7ed0) at /usr/src/debug/digikam-1.5.0/libs/models/abstractalbummodelpriv.h:84
#8  Digikam::AbstractAlbumModel::slotAlbumAboutToBeDeleted (this=0x113e090, album=0x33a7ed0) at /usr/src/debug/digikam-1.5.0/libs/models/abstractalbummodel.cpp:406
#9  0x00000000005f7d2c in Digikam::AbstractAlbumModel::qt_metacall (this=0x113e090, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6dccfab0) at /usr/src/debug/digikam-1.5.0/x86_64-redhat-linux-gnu/digikam/abstractalbummodel.moc:91
#10 0x00000000005f7f80 in Digikam::AbstractSpecificAlbumModel::qt_metacall (this=0x113e090, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6dccfab0) at /usr/src/debug/digikam-1.5.0/x86_64-redhat-linux-gnu/digikam/abstractalbummodel.moc:161
Comment 4 caulier.gilles 2010-12-07 09:14:29 UTC
Matthieu,

I cannot find the duplicate file relevant of this entry. I'm sure that it have been fixed by Marcel in 1.6.0. 

Please update, try again, and confirm.

Gilles Caulier
Comment 5 Marcel Wiesweg 2010-12-07 09:59:51 UTC
I'm not sure I fixed this.
There is a situation where I could imagine this crash, it scanPAlbums() is for some reason invoked before removeAlbumRoot(), so that the album pointer in the hash is already invalid. But I'm not sure this is the reason.
Comment 6 Marcel Wiesweg 2010-12-07 10:01:34 UTC
SVN commit 1204416 by mwiesweg:

Clean album root id -> album pointer hash in removePAlbum, to ensure it does not
contain an invalid pointer.
CCBUG:  256897

 M  +6 -3      albummanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1204416
Comment 7 caulier.gilles 2010-12-09 14:10:09 UTC
Matthieu,

Code is fixed in current svn trunk (next 1.7.0)

I close this file now. re-open it if necessary

Gilles Caulier